## GOAccumulator

GOAccumulator

## Functions

void | go_accumulator_add ()
void | go_accumulator_add_quad ()
void | go_accumulator_add_quadl ()
void | go_accumulator_addl ()
void | go_accumulator_clear ()
void | go_accumulator_clearl ()
void | go_accumulator_end ()
void | go_accumulator_endl ()
void | go_accumulator_free ()
void | go_accumulator_freel ()
gboolean | go_accumulator_functional ()
gboolean | go_accumulator_functionall ()
GOAccumulator * | go_accumulator_new ()
GOAccumulatorl * | go_accumulator_newl ()
void * | go_accumulator_start ()
void * | go_accumulator_startl ()
double | go_accumulator_value ()
long double | go_accumulator_valuel ()

## Types and Values

typedef | GOAccumulator
typedef | GOAccumulatorl

## Description

## Functions

### go_accumulator_add ()

    void
    go_accumulator_add (GOAccumulator *acc,
                        double x);

[skip]

### go_accumulator_add_quad ()

    void
    go_accumulator_add_quad (GOAccumulator *acc,
                             const GOQuad *x);

[skip]

### go_accumulator_add_quadl ()

    void
    go_accumulator_add_quadl (GOAccumulatorl *acc,
                              const GOQuadl *x);

[skip]

### go_accumulator_addl ()

    void
    go_accumulator_addl (GOAccumulatorl *acc,
                         long double x);

[skip]

### go_accumulator_clear ()

    void
    go_accumulator_clear (GOAccumulator *acc);

[skip]

### go_accumulator_clearl ()

    void
    go_accumulator_clearl (GOAccumulatorl *acc);

[skip]

### go_accumulator_end ()

    void
    go_accumulator_end (void *state);

### go_accumulator_endl ()

    void
    go_accumulator_endl (void *state);

### go_accumulator_free ()

    void
    go_accumulator_free (GOAccumulator *acc);

[skip]

### go_accumulator_freel ()

    void
    go_accumulator_freel (GOAccumulatorl *acc);

[skip]

### go_accumulator_functional ()

    gboolean
    go_accumulator_functional (void);

### go_accumulator_functionall ()

    gboolean
    go_accumulator_functionall (void);

### go_accumulator_new ()

    GOAccumulator *
    go_accumulator_new (void);

[skip]

### go_accumulator_newl ()

    GOAccumulatorl *
    go_accumulator_newl (void);

[skip]

### go_accumulator_start ()

    void *
    go_accumulator_start (void);

[skip]

### go_accumulator_startl ()

    void *
    go_accumulator_startl (void);

[skip]

### go_accumulator_value ()

    double
    go_accumulator_value (GOAccumulator *acc);

[skip]

### go_accumulator_valuel ()

    long double
    go_accumulator_valuel (GOAccumulatorl *acc);

[skip]

## Types and Values

### GOAccumulator

    typedef struct GOAccumulator_ GOAccumulator;

### GOAccumulatorl

    typedef struct GOAccumulatorl_ GOAccumulatorl;